%define url_ver	%(echo %{version} | cut -d. -f1,2)

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{name}/plugins/.*\\.so

Name:		xfdashboard
Version:	0.6.0
Release:	%mkrel 1
Summary:	GNOME shell like dashboard for Xfce
Group:		Graphical desktop/Xfce
License:	GPLv2+
URL:		http://xfdashboard.froevel.de
Source0:	http://archive.xfce.org/src/apps/xfdashboard/%{url_ver}/xfdashboard-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
#BuildRequires:	xfce4-dev-tools

%description
Xfdashboard provides a GNOME shell dashboard like interface for use with Xfce
desktop. It can be configured to run to any keyboard shortcut and when executed
provides an overview of applications currently open enabling the user to switch
between different applications. The search feature works like Xfce's app finder
which makes it convenient to search for and start applications.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/xfdashboard*
%{_datadir}/%{name}/
%{_datadir}/themes/%{name}*/
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png

#plugins
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/clock-view.so
%{_libdir}/%{name}/plugins/gnome-shell-search-provider.so
%{_libdir}/%{name}/plugins/hot-corner.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Tue May 24 2016 wally <wally> 0.6.0-1.mga6
+ Revision: 1018202
- add lib and devel pkgs
- new version 0.6.0

* Mon Dec 21 2015 wally <wally> 0.5.4-1.mga6
+ Revision: 913032
- new version 0.5.4

* Sun Nov 15 2015 wally <wally> 0.5.3-1.mga6
+ Revision: 903426
- new version 0.5.3
- drop patches from upstream

* Tue Oct 13 2015 wally <wally> 0.5.2-2.mga6
+ Revision: 890340
- add patch from upstream git to replace GTK+ stock icon names with the corresponding ones from Icon Naming Specification

* Fri Oct 09 2015 wally <wally> 0.5.2-1.mga6
+ Revision: 888227
- new version 0.5.2

* Wed Sep 09 2015 wally <wally> 0.5.1-1.mga6
+ Revision: 875286
- new version 0.5.1

* Mon Jun 22 2015 wally <wally> 0.5.0-1.mga6
+ Revision: 839624
- new version 0.5.0

* Sat Jun 20 2015 wally <wally> 0.4.0-1.mga6
+ Revision: 836229
- new version 0.4.0

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-3.mga5
+ Revision: 746293
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-2.mga5
+ Revision: 690645
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 wally <wally> 0.3.1-1.mga5
+ Revision: 672007
- new version 0.3.1

* Mon Aug 04 2014 wally <wally> 0.3.0-1.mga5
+ Revision: 659640
- new version 0.3.0

* Tue Jul 29 2014 wally <wally> 0.2.1-1.mga5
+ Revision: 658074
- new version 0.2.1

* Sat Jun 14 2014 wally <wally> 0.2.0-1.mga5
+ Revision: 636155
- new version 0.2.0

* Sat May 24 2014 wally <wally> 0.1.91-1.mga5
+ Revision: 625426
- new version 0.1.91

* Wed Mar 26 2014 wally <wally> 0.1.6-2.mga5
+ Revision: 608787
- fix URL
- use source tarball from 'new homepage'

* Wed Mar 26 2014 wally <wally> 0.1.6-1.mga5
+ Revision: 608778
- mageiafy .spec
- imported package xfdashboard

